package com.emr.entity;

import com.emr.vo.UserVo;

import java.util.Set;

/**
 * @ProjectName:
 * @Description:
 * @Param 传输参数
 * @Return
 * @Author: 曾文和
 * @CreateDate: 2019/6/12 9:43
 * @UpdateUser: 曾文和
 * @UpdateDate: 2019/6/12 9:43
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
public class Power_User extends UserVo {
    /**
     * 用户id
     */
    private Integer userId;
    /**
     * 用户名
     */
    private String userName;

    private String name;


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    /**
     * 性别1为女0为男
     */
    private Integer userSex;
    /**
     * 年龄
     */
    private Integer userAge;
    /**
     * 手机号（是否免申请预览1：是，0：否）
     */
    private String userTel;
    /**
     * 电子邮件（是否免申请下载1：是，0：否）
     */
    private String userEmail;
    /**
     * 职位（name）
     */
    private String userPosition;
    /**
     * 角色id
     */
    private Integer roleId;
    /**
     * 是否有效
     */
    private Integer effective;
    /**
     * 创建时间
     */
    private String createDate;
    /**
     * 创建者
     */
    private String creater;
    /**
     * 修改时间
     */
    private String updateDate;
    /**
     * 修改者
     */
    private String updater;
    /**
     * 备注(科室集合)
     */
    private String remark;
    /**
     * 菜单以及功能权限标识集合
     */
    private Set<String> menus;

    private String powerDepts;

    @Override
    public String getPowerDepts() {
        return powerDepts;
    }

    @Override
    public void setPowerDepts(String powerDepts) {
        this.powerDepts = powerDepts;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Integer getUserSex() {
        return userSex;
    }

    public void setUserSex(Integer userSex) {
        this.userSex = userSex;
    }

    public Integer getUserAge() {
        return userAge;
    }

    public void setUserAge(Integer userAge) {
        this.userAge = userAge;
    }

    public String getUserTel() {
        return userTel;
    }

    public void setUserTel(String userTel) {
        this.userTel = userTel;
    }

    public String getUserEmail() {
        return userEmail;
    }

    public void setUserEmail(String userEmail) {
        this.userEmail = userEmail;
    }

    public String getUserPosition() {
        return userPosition;
    }

    public void setUserPosition(String userPosition) {
        this.userPosition = userPosition;
    }

    public Integer getRoleId() {
        return roleId;
    }

    public void setRoleId(Integer roleId) {
        this.roleId = roleId;
    }

    public Integer getEffective() {
        return effective;
    }

    public void setEffective(Integer effective) {
        this.effective = effective;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public String getCreater() {
        return creater;
    }

    public void setCreater(String creater) {
        this.creater = creater;
    }

    public String getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(String updateDate) {
        this.updateDate = updateDate;
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Set<String> getMenus() {
        return menus;
    }

    public void setMenus(Set<String> menus) {
        this.menus = menus;
    }
}
